# Generated by Django 4.2.1 on 2023-05-14 19:27

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion
import django.utils.timezone


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Testcase',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('tc_id', models.CharField(max_length=10)),
                ('name', models.CharField(max_length=200)),
            ],
        ),
        migrations.CreateModel(
            name='TestcaseResult',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('creation_date', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('last_modified', models.DateTimeField(default=django.utils.timezone.now, editable=False)),
                ('status', models.CharField(choices=[('not started', 'Not started'), ('obsolete', 'Obsolete'), ('requires attention', 'Requires attention'), ('work in progress', 'Work in progress'), ('ready for execution', 'Ready for execution'), ('completed', 'Completed')], default='not started', max_length=50)),
                ('location', models.CharField(max_length=400)),
                ('assignee', models.ForeignKey(null=True, on_delete=django.db.models.deletion.PROTECT, to=settings.AUTH_USER_MODEL)),
                ('testcase', models.ForeignKey(on_delete=django.db.models.deletion.PROTECT, to='testcases.testcase')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
